[Unit]
Description=Prometheus (https://github.com/prometheus/prometheus)
Wants=network-online.target
After=network-online.target

[Service]
User={{ prometheus_user }}
Restart=always
RestartSec=10
TimeoutSec=300

ExecStart={{ prometheus_exe | quote }} \
    --config.file={{ prometheus_config_file | quote }} \
{% if prometheus_web_basic_auth | length > 0 %}
    --web.config.file={{ prometheus_config_file_web }} \
{% endif %}
    --storage.tsdb.path={{ prometheus_data_dir | quote }}

ExecReload=/bin/kill -HUP $MAINPID

[Install]
WantedBy=default.target
